<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:03 CET 2009 -->
<TITLE>
GenericDynamicArray
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.util.genarr.GenericDynamicArray class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="GenericDynamicArray";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GenericDynamicArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/GenericDynamicArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GenericDynamicArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.genarr.AbstractGenericArray">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.util.genarr</FONT>
<BR>
Class GenericDynamicArray&lt;T&gt;</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">ch.javasoft.util.genarr.AbstractArrayIterable</A>&lt;T&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">ch.javasoft.util.genarr.AbstractGenericArray</A>&lt;T&gt;
          <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.util.genarr.GenericDynamicArray&lt;T&gt;</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;T&gt;, <A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html" title="interface in ch.javasoft.util.genarr">CloneableTyped</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;T&gt;&gt;, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;T&gt;, <A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr">KnownLengthIterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Cloneable.html" title="class or interface in java.lang">Cloneable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;T&gt;, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;T&gt;</DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.38"><B>GenericDynamicArray&lt;T&gt;</B></A><DT>extends <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;T&gt;<DT>implements <A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html" title="interface in ch.javasoft.util.genarr">CloneableTyped</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;T&gt;&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.ArrayListIterator.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable.ArrayListIterator</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.util.genarr.AbstractGenericArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#EMPTY">EMPTY</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray()">GenericDynamicArray</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray(ch.javasoft.util.genarr.GenericArray)">GenericDynamicArray</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;genericArray)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray(ch.javasoft.util.genarr.GenericDynamicArray)">GenericDynamicArray</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dynamicArray)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray(int)">GenericDynamicArray</A></B>(int&nbsp;initialCapacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray(java.lang.Iterable)">GenericDynamicArray</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;iterable)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#GenericDynamicArray(T...)">GenericDynamicArray</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>...&nbsp;array)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#capacity()">capacity</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#clear()">clear</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#clone()">clone</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;public typed clone method</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyFrom</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;src,
                 int&nbsp;srcPos,
                 int&nbsp;dstPos,
                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#copyFrom(ch.javasoft.util.genarr.GenericDynamicArray, int, int, int)">copyFrom</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;src,
                 int&nbsp;srcPos,
                 int&nbsp;dstPos,
                 int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyTo</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dst,
             int&nbsp;srcPos,
             int&nbsp;dstPos,
             int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#copyTo(ch.javasoft.util.genarr.GenericDynamicArray, int, int, int)">copyTo</A></B>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dst,
             int&nbsp;srcPos,
             int&nbsp;dstPos,
             int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;T&gt; <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A></CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#empty()">empty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#ensureCapacity(int)">ensureCapacity</A></B>(int&nbsp;capacity)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#first()">first</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#get(int)">get</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#last()">last</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#length()">length</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#remove(int)">remove</A></B>(int&nbsp;index)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#removeLast()">removeLast</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#removeLast(int)">removeLast</A></B>(int&nbsp;len)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#set(int, java.lang.Iterable)">set</A></B>(int&nbsp;offset,
       <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;it)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#set(int, T)">set</A></B>(int&nbsp;index,
       <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&nbsp;element)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#set(int, T[], int, int)">set</A></B>(int&nbsp;offset,
       <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>[]&nbsp;arr,
       int&nbsp;srcOffset,
       int&nbsp;length)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#subList(int, int)">subList</A></B>(int&nbsp;fromIndex,
               int&nbsp;toIndex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#swap(int, int)">swap</A></B>(int&nbsp;indexA,
         int&nbsp;indexB)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;TT&gt; TT[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#toArray(java.lang.Class)">toArray</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;TT&gt;&nbsp;componentType)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" SUMMARY="">
<TR ALIGN="right" VALIGN="">
<TD NOWRAP><FONT SIZE="-1">
<CODE>&lt;TT&gt; TT[]</CODE></FONT></TD>
</TR>
</TABLE>
</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#toArray(TT[])">toArray</A></B>(TT[]&nbsp;a)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#toString()">toString</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#trimToLength()">trimToLength</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html#trimToNonNull()">trimToNonNull</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.AbstractGenericArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#add(int, T)">add</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#add(T)">add</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(int, java.util.Collection)">addAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(java.lang.Iterable)">addAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#addAll(T[])">addAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#contains(java.lang.Object)">contains</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#containsAll(java.util.Collection)">containsAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#iterator(int, int)">iterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#listIterator()">listIterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#listIterator(int)">listIterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#newArray(int)">newArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#remove(java.lang.Object)">remove</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#removeAll(java.util.Collection)">removeAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#retainAll(java.util.Collection)">retainAll</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#set(int, T[])">set</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#size()">size</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#equals(java.lang.Object)">equals</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#hashCode()">hashCode</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#iterable(int, int)">iterable</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray()">toArray</A>, <A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toGenericArray(boolean)">toGenericArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.GenericArray"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#isEmpty()">isEmpty</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterable(int, int)">iterable</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#iterator()">iterator</A>, <A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray()">toArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.util.genarr.ArrayIterable"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.util.genarr.<A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#indexOf(java.lang.Object)">indexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#lastIndexOf(java.lang.Object)">lastIndexOf</A>, <A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toGenericArray(boolean)">toGenericArray</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.util.List"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface java.util.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#equals(java.lang.Object)" title="class or interface in java.util">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#hashCode()" title="class or interface in java.util">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#indexOf(java.lang.Object)" title="class or interface in java.util">indexOf</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#lastIndexOf(java.lang.Object)" title="class or interface in java.util">lastIndexOf</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="GenericDynamicArray()"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.50"><B>GenericDynamicArray</B></A>()</PRE>
<DL>
</DL>
<HR>

<A NAME="GenericDynamicArray(int)"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.55"><B>GenericDynamicArray</B></A>(int&nbsp;initialCapacity)</PRE>
<DL>
</DL>
<HR>

<A NAME="GenericDynamicArray(java.lang.Object)"><!-- --></A><A NAME="GenericDynamicArray(T...)"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.60"><B>GenericDynamicArray</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>...&nbsp;array)</PRE>
<DL>
</DL>
<HR>

<A NAME="GenericDynamicArray(ch.javasoft.util.genarr.GenericDynamicArray)"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.65"><B>GenericDynamicArray</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dynamicArray)</PRE>
<DL>
</DL>
<HR>

<A NAME="GenericDynamicArray(ch.javasoft.util.genarr.GenericArray)"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.69"><B>GenericDynamicArray</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;genericArray)</PRE>
<DL>
</DL>
<HR>

<A NAME="GenericDynamicArray(java.lang.Iterable)"><!-- --></A><H3>
GenericDynamicArray</H3>
<PRE>
public <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.75"><B>GenericDynamicArray</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;iterable)</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="empty()"><!-- --></A><H3>
empty</H3>
<PRE>
public static &lt;T&gt; <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.41"><B>empty</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="length()"><!-- --></A><H3>
length</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.81"><B>length</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html#length()">length</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/KnownLengthIterable.html" title="interface in ch.javasoft.util.genarr">KnownLengthIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#length()">length</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="capacity()"><!-- --></A><H3>
capacity</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.84"><B>capacity</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="trimToLength()"><!-- --></A><H3>
trimToLength</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.88"><B>trimToLength</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="trimToNonNull()"><!-- --></A><H3>
trimToNonNull</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.91"><B>trimToNonNull</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toArray(java.lang.Object)"><!-- --></A><A NAME="toArray(TT[])"><!-- --></A><H3>
toArray</H3>
<PRE>
public &lt;TT&gt; TT[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.109"><B>toArray</B></A>(TT[]&nbsp;a)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray(TT[])">toArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#toArray(TT[])">toArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#toArray(T[])" title="class or interface in java.util">toArray</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray(TT[])">toArray</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toArray(java.lang.Class)"><!-- --></A><H3>
toArray</H3>
<PRE>
public &lt;TT&gt; TT[] <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.123"><B>toArray</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Class.html" title="class or interface in java.lang">Class</A>&lt;TT&gt;&nbsp;componentType)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#toArray(java.lang.Class)">toArray</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#toArray(java.lang.Class)">toArray</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)"><!-- --></A><H3>
copyFrom</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.131"><B>copyFrom</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;src,
                     int&nbsp;srcPos,
                     int&nbsp;dstPos,
                     int&nbsp;length)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyFrom(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyFrom</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)"><!-- --></A><H3>
copyTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.140"><B>copyTo</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dst,
                   int&nbsp;srcPos,
                   int&nbsp;dstPos,
                   int&nbsp;length)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#copyTo(ch.javasoft.util.genarr.GenericArray, int, int, int)">copyTo</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyFrom(ch.javasoft.util.genarr.GenericDynamicArray, int, int, int)"><!-- --></A><H3>
copyFrom</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.149"><B>copyFrom</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;src,
                     int&nbsp;srcPos,
                     int&nbsp;dstPos,
                     int&nbsp;length)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="copyTo(ch.javasoft.util.genarr.GenericDynamicArray, int, int, int)"><!-- --></A><H3>
copyTo</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.152"><B>copyTo</B></A>(<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;? super <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;dst,
                   int&nbsp;srcPos,
                   int&nbsp;dstPos,
                   int&nbsp;length)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object,int,int)"><!-- --></A><A NAME="set(int, T[], int, int)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.156"><B>set</B></A>(int&nbsp;offset,
                <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>[]&nbsp;arr,
                int&nbsp;srcOffset,
                int&nbsp;length)
         throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T[], int, int)">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="removeLast()"><!-- --></A><H3>
removeLast</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.171"><B>removeLast</B></A>()</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="removeLast(int)"><!-- --></A><H3>
removeLast</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.174"><B>removeLast</B></A>(int&nbsp;len)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="remove(int)"><!-- --></A><H3>
remove</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.187"><B>remove</B></A>(int&nbsp;index)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#remove(int)" title="class or interface in java.util">remove</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#remove(int)">remove</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clear()"><!-- --></A><H3>
clear</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.196"><B>clear</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Collection.html" title="class or interface in java.util">Collection</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#clear()" title="class or interface in java.util">clear</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="get(int)"><!-- --></A><H3>
get</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.202"><B>get</B></A>(int&nbsp;index)
      throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#get(int)">get</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#get(int)" title="class or interface in java.util">get</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#get(int)">get</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="first()"><!-- --></A><H3>
first</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.213"><B>first</B></A>()
        throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#first()">first</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#first()">first</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="last()"><!-- --></A><H3>
last</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.223"><B>last</B></A>()
       throws <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#last()">last</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#last()">last</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>

<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IndexOutOfBoundsException.html" title="class or interface in java.lang">IndexOutOfBoundsException</A></CODE></DL>
</DD>
</DL>
<HR>

<A NAME="set(int,java.lang.Object)"><!-- --></A><A NAME="set(int, T)"><!-- --></A><H3>
set</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.233"><B>set</B></A>(int&nbsp;index,
             <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&nbsp;element)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html#set(int, T)">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/ArrayIterable.html" title="interface in ch.javasoft.util.genarr">ArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, T)">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#set(int, E)" title="class or interface in java.util">set</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html#set(int, T)">set</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractArrayIterable.html" title="class in ch.javasoft.util.genarr">AbstractArrayIterable</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="set(int, java.lang.Iterable)"><!-- --></A><H3>
set</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.250"><B>set</B></A>(int&nbsp;offset,
                <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Iterable.html" title="class or interface in java.lang">Iterable</A>&lt;? extends <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&nbsp;it)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#set(int, java.lang.Iterable)">set</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="ensureCapacity(int)"><!-- --></A><H3>
ensureCapacity</H3>
<PRE>
protected void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.262"><B>ensureCapacity</B></A>(int&nbsp;capacity)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="swap(int, int)"><!-- --></A><H3>
swap</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.272"><B>swap</B></A>(int&nbsp;indexA,
                 int&nbsp;indexB)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html#swap(int, int)">swap</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr">GenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#swap(int, int)">swap</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="subList(int, int)"><!-- --></A><H3>
subList</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.284"><B>subList</B></A>(int&nbsp;fromIndex,
                       int&nbsp;toIndex)</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html#subList(int, int)" title="class or interface in java.util">subList</A></CODE> in interface <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/List.html" title="class or interface in java.util">List</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="clone()"><!-- --></A><H3>
clone</H3>
<PRE>
public <A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt; <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.297"><B>clone</B></A>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html#clone()">CloneableTyped</A></CODE></B></DD>
<DD>public typed clone method
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html#clone()">clone</A></CODE> in interface <CODE><A HREF="../../../../ch/javasoft/util/genarr/CloneableTyped.html" title="interface in ch.javasoft.util.genarr">CloneableTyped</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="class in ch.javasoft.util.genarr">GenericDynamicArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;&gt;</CODE><DT><B>Overrides:</B><DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A></CODE> in class <CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toString()"><!-- --></A><H3>
toString</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <A HREF="../../../../src-html/ch/javasoft/util/genarr/GenericDynamicArray.html#line.305"><B>toString</B></A>()</PRE>
<DL>
<DD><DL>
<DT><B>Overrides:</B><DD><CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html#toString()">toString</A></CODE> in class <CODE><A HREF="../../../../ch/javasoft/util/genarr/AbstractGenericArray.html" title="class in ch.javasoft.util.genarr">AbstractGenericArray</A>&lt;<A HREF="../../../../ch/javasoft/util/genarr/GenericDynamicArray.html" title="type parameter in GenericDynamicArray">T</A>&gt;</CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/GenericDynamicArray.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericArray.html" title="interface in ch.javasoft.util.genarr"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/util/genarr/GenericFixSizeArray.html" title="class in ch.javasoft.util.genarr"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/util/genarr/GenericDynamicArray.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="GenericDynamicArray.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.util.genarr.AbstractArrayIterable">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.util.genarr.AbstractGenericArray">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
